import store from '@/uni_modules/yylp-ui/store/index.js'
module.exports.switchTheme = (theme, is_save) => {
	if (store.state.theme_name != theme) {
		console.log("切换主题", theme);
		store.dispatch('switchTheme', theme)
		// 存入本地缓存
		if (is_save !== false) {
			uni.setStorageSync('theme_name', theme);
		}
	}
}
module.exports.initTheme = () => {
	// 读取本地缓存
	var theme = uni.getStorageSync('theme_name') || store.state.theme_name;
	store.dispatch('switchTheme', theme)
	console.log("初始化设置主题", theme);
}
